---
title: "Announcing the launch of Harbor SIG Docs"
author:
  name: "Harbor Team"
description: "A new way to help the Harbor community improve docs"
date: 2022-02-17T12:00:00+04:00
draft: false
showPageInfo: true
---

This month we are happy to announce the launch of a new SIG Docs group for the Harbor community. This group will be focused on improving the Harbor’s documentation, website, content creation processes, and Harbor interface localization. We want this SIG to be an opportunity for folks to give back to the community by helping to improve the docs.

## Help us make the docs better

In 2017, GitHub conducted the [Open Source Survey](https://opensourcesurvey.org/2017/), which sampled 5,500 respondents. One of the key takeaways was that “documentation is highly valued, but often overlooked.” The survey found that outdated or confusing documentation was a major problem, affecting 93% of respondents. Yet 60% of contributors rarely or never contribute to documentation.

As a very important part of Harbor, we want create a space for our community members to contribute to docs and drive improvements to the docs that will help the whole community. We are looking for folks to help us start this initiative.

## Who is this group for?

Everyone! This group is open to contributors of all levels, the only requirement is being interested in helping with docs.

## What will this group do?

The purpose of this group is to create a self-sustaining community around the Harbor docs and Harbor interface localizations. As part of the SIG, you will help create new content for releases, fix documentation bugs, define processes to help the whole community contribute to docs, and make improvements to the Harbor website. We'd also love to hear from you if you have any ideas for docs improvements.

One of our first big goals is to verify and update our Harbor interface localizations. Over the years, we’ve had several community members contribute localizations to the project, but have not had a way to make sure each localization was updated every release. If you are familiar with one of the [localized languages](https://github.com/goharbor/harbor/tree/main/src/portal/src/i18n/lang), or would like to contribute a new localization, please join us! For more information, see the [localization issue](https://github.com/goharbor/harbor/issues/16321) or our [interface localization instructions](https://goharbor.io/docs/latest/build-customize-contribute/developer-guide-i18n/).

## How to get involved?

Join us for our kick-off meeting on February 23, 2022 at 8am Eastern Daylight Time ([Time zone converter](https://www.timeanddate.com/worldclock/usa/boston)) as part of the Harbor Community Meeting. Get the invite for the meeting by joining the Harbor [mailing list](https://lists.cncf.io/g/harbor-users), and see more about getting involved with Harbor on our [Community page](https://goharbor.io/community/).

At the meeting, we’ll go over more details about participating in the working group, covering the following topics

* The Harbor docs tools and how to set up your environment
* How to preview the documentation locally before submitting a pull request
* Anything else you’d like to know about helping with Harbor documentation

After our initial kick-off meeting, we are planning to hold monthly SIG Docs meetings to talk about projects and hold informational sessions about contributing to Harbor docs. The invite for the monthly meetings will be sent out after our kick-off meeting. Come participate in the discussion in the [Harbor dev Slack](https://cloud-native.slack.com/archives/CC1E0J0MC).  

Check out Harbor’s [website repo](https://github.com/goharbor/website) and [contributing guide](https://github.com/goharbor/harbor/blob/main/CONTRIBUTING.md) for more information about the Harbor community.

We look forward to meeting you at our kick-off meeting and thank you for being willing to help out the Harbor docs. As a part of this effort you will be enriching the community for everyone by providing new and experienced users with access to the docs they need to be successful.

We hope to see you soon!

Abigail McCarthy  
Harbor SIG Docs Lead  
GitHub: [@a-mccarthy](https://github.com/a-mccarthy)  
